%global debug_package %{nil}
%undefine __cmake_in_source_build

Name:           catch
Version:        2.13.8
Release:        1%{?dist}
Summary:        Modern, C++-native, header-only, framework for unit-tests, TDD and BDD

License:        Boost
URL:            https://github.com/catchorg/Catch
Source0:        https://github.com/catchorg/Catch/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake make gcc-c++ python3

%description
Catch stands for C++ Automated Test Cases in Headers and is a
multi-paradigm automated test framework for C++ and Objective-C (and,
maybe, C). It is implemented entirely in a set of header files, but
is packaged up as a single header for extra convenience.


%package        devel
Summary:        Development files for %{name}
Provides:       %{name}-static = %{version}-%{release}

%description    devel
Catch stands for C++ Automated Test Cases in Headers and is a
multi-paradigm automated test framework for C++ and Objective-C (and,
maybe, C). It is implemented entirely in a set of header files, but
is packaged up as a single header for extra convenience.


%prep
%autosetup -p 1 -n Catch2-%{version}


%build
%cmake \
    -DCATCH_BUILD_EXTRA_TESTS=ON \
    -DCATCH_ENABLE_WERROR=OFF \
    -DCATCH_INSTALL_DOCS=OFF \
    -DBUILD_SHARED_LIBS=OFF
%cmake_build


%install
%cmake_install


%check
%ctest


%files devel
%doc README.md CODE_OF_CONDUCT.md docs
%license LICENSE.txt
%{_includedir}/catch2/
%{_datadir}/Catch2/
%{_datadir}/pkgconfig/catch2.pc
%{_libdir}/cmake/Catch2/


%changelog
* Fri Aug 23 2024 Dmitriy Samoylik <samoylikdv@msvsphere-os.ru> - 2.13.8-1
- Rebuilt for MSVSphere 9.4

* Sun Mar 06 2022 Benjamin A. Beasley <code@musicinmybrain.net> - 2.13.8-1
- Update to 2.13.8 upstream release
- Update spec file to match F37/Rawhide

* Thu Oct 31 2019 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 2.10.2-1
- Initial build for EPL 8

